Subject: Re: GPIO - marking individual pins (not) available in device tree

From: Scott Wood <[email-masked]>
Date: Mon, 27 Oct 2008 12:54:15 -0500

Matt Sealey wrote:
> Scott Wood wrote:
>> It's deprecated *in the context of flat device trees*.  Anything not 
>> using flat device trees is out-of-scope with respect to ePAPR.
> 
> Isn't the beauty of a device tree that every firmware no matter what
> type can present it in whatever form it chooses, but still be describing
> the same hardware in the same way?

When run-time services are not involved, yes.  device_type was used by 
1275 in the context of run-time services, which we don't have, so we 
didn't copy that property over (except for memory and cpu, to avoid 
gratuitous divergence).

> I'm curious, is it the remit of the ePAPR TSC to publish and act as
> a registration authority for device tree bindings for specific SoCs
> or is that devolved to the SoC maker itself (be they a member of
> Power.org or not) and, more prudent, two other questions; where are
> Freescale and IBM publishing these if it is their responsibility,
> are things like the mysterious i2c binding going to be published
> under this TSC?

There has been talk about setting up such a repository, but I'm not sure 
what the status of it is.

-Scott